{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.robot_spider": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": ["idle"],
					"transitions": [
						{"attack": "q.is_delayed_attacking"},
						{"climb": "q.is_wall_climbing"},
						{"walk": "query.modified_move_speed>0.01"}
					],
					"blend_transition": 0.2
				},
				"walk": {
					"animations": ["walk"],
					"transitions": [
                        {"attack": "q.is_delayed_attacking"},
						{"climb": "q.is_wall_climbing"},
						{"idle": "query.modified_move_speed<=0.01"}
					],
					"blend_transition": 0.2
				},
                "attack": {
					"animations": ["attack"],
					"transitions": [
						{"idle": "q.all_animations_finished&&!q.is_delayed_attacking"}
					],
					"blend_transition": 0.2
				},
				"climb": {
					"animations": ["climb"],
					"transitions": [
						{"idle": "q.all_animations_finished&&!q.is_wall_climbing"}
					],
					"blend_transition": 0.2
				}
			}
		}
	}
}